config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    rm $NEW
  fi
}

config usr/share/cicb/system.icbrc.new
config usr/share/cicb/icbserverdb.new
( cd usr/bin ; rm -rf cicb )
( cd usr/bin ; ln -sf icb cicb )
( cd usr/man/man1 ; rm -rf cicb.1.gz )
( cd usr/man/man1 ; ln -sf icb.1.gz cicb.1.gz )
